Skip to navigation

List disputes by organization

View as MarkdownOpen in Claude

Retrieve a list of chargebacks and returned transactions for an org. Use filters to limit results. Include the exportFormat query parameter to return the results as a file instead of a JSON response.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

OR
requestTokenstring

Long-lived API token sent in the requestToken header. See API token authentication.

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

exportFormatenumOptional
Export format for file downloads. When specified, returns data as a file instead of JSON.
Allowed values:
fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional

Collection of field names, conditions, and values used to filter the query.

<Info> You must remove parameters= from the request before you send it, otherwise Payabli will ignore the filters.

Because of a technical limitation, you can’t make a request that includes filters from the API console on this page. The response won’t be filtered. Instead, copy the request, remove parameters= and run the request in a different client, for example:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20

should become:

—url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> See Filters and Conditions Reference for help.

Accepted field names:

  • chargebackDate (gt, ge, lt, le, eq, ne)
  • transId (ne, eq, ct, nct)
  • method (in, nin, eq, ne)
  • amount (gt, ge, lt, le, eq, ne): the chargeback or return’s own amount (the top-level netAmount in the response), unlike netAmount, which matches the original transaction’s net
  • totalAmount (gt, ge, lt, le, eq, ne): the original transaction’s gross amount, including service and pending fees (transaction.totalAmount in the response)
  • netAmount (gt, ge, lt, le, eq, ne)
  • reasonCode (in, nin, eq, ne)
  • reason (ct, nct, eq, ne)
  • replyDate (gt, ge, lt, le, eq, ne)
  • replyBy (gt, ge, lt, le, eq, ne): alias of replyDate, matching the replyBy field in the response
  • caseNumber (ct, nct, eq, ne)
  • status (in, nin, eq, ne)
  • accountType (in, nin, eq, ne)
  • payaccountLastfour (nct, ct)
  • payaccountType (ne, eq, in, nin)
  • customerFirstname (ct, nct, eq, ne)
  • customerLastname (ct, nct, eq, ne)
  • customerName (ct, nct)
  • customerId (eq, ne)
  • customerNumber (ct, nct, eq, ne)
  • customerCompanyname (ct, nct, eq, ne)
  • customerAddress (ct, nct, eq, ne)
  • customerCity (ct, nct, eq, ne)
  • customerZip (ct, nct, eq, ne)
  • customerState (ct, nct, eq, ne)
  • customerCountry (ct, nct, eq, ne)
  • customerPhone (ct, nct, eq, ne)
  • customerEmail (ct, nct, eq, ne)
  • customerShippingAddress (ct, nct, eq, ne)
  • customerShippingCity (ct, nct, eq, ne)
  • customerShippingZip (ct, nct, eq, ne)
  • customerShippingState (ct, nct, eq, ne)
  • customerShippingCountry (ct, nct, eq, ne)
  • orgId (eq) mandatory when entry=org
  • paypointId (ne, eq)
  • paypointLegal (ne, eq, ct, nct)
  • paypointDba (ne, eq, ct, nct)
  • orgName (ne, eq, ct, nct)
  • additional-xxx (ne, eq, ct, nct) where xxx is the additional field name

Accepted comparison operators - enclosed between parentheses:

  • eq or empty => equal
  • gt => greater than
  • ge => greater or equal
  • lt => less than
  • le => less or equal
  • ne => not equal
  • ct => contains
  • nct => not contains
  • in => inside array separated by ”|”
  • nin => not inside array separated by ”|”

Accepted parameters:

  • limitRecord: max number of records for query (default=“20”, “0” or negative value for all)
  • fromRecord: initial record in query

Example: netAmount(gt)=20 returns all records with a netAmount greater than 20.00

sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name. For this endpoint, you can also sort by amount and totalAmount.

Response

Success
Recordslist of objectsOptional
SummaryobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error